### Method

# Gio Socket set_blocking

since: 2.22

#### Declaration [src]

    void
    g_socket_set_blocking (
      GSocket* socket,
      gboolean blocking
    )

#### Description [src]

Sets the blocking mode of the socket. In blocking mode all operations (which don’t take an explicit blocking parameter) block until they succeed or there is an error. In non-blocking mode all functions return results immediately or with a `G_IO_ERROR_WOULD_BLOCK` error.

All sockets are created in blocking mode. However, note that the platform level socket is always non-blocking, and blocking mode is a GSocket level feature.

Available since: 2.22

Sets property | `Gio.Socket:blocking`

#### Parameters

`blocking`

  Type: `gboolean`

  Whether to use blocking I/O or not.